package base_leslie;

import java.util.Date;
import java.util.Calendar;
import java.lang.System;
import java.lang.String;
 

public class Usuarios {
    
    private String IDusuario; //De preferencia el RUT.
    private String Nombre; // Nombre 1 del Usuario.
    private String Apdo_Paterno; //Apellidos.
    private String Apdo_Materno; //Apellidos.
    private String direccion;
    private String fechaNacimiento;
    private String ciudad;
    private String carrera;
    private String pasatiempos;
    private int telefono;
    
    private float pesoInicial;
    private float talla;
    private float IMC;
    private String entrenamiento;
    private boolean fuma;

            
    
    /** Creates a new instance of Usuarios */
    public Usuarios() {
        IDusuario = "";
        Nombre = "";
        Apdo_Paterno = "";
        Apdo_Materno = "";
        direccion = "";
        fechaNacimiento = "";
        ciudad = "";
        carrera = "";
        pasatiempos = "";
        telefono = 0;
    
        pesoInicial = 0;
        talla = 0;
        IMC = 0;
        entrenamiento = "";
        fuma = false;
    }
    
    public String getNombre(){ //Retorna el nombre del usuario.
            return Nombre;
    }
    
    public String getApe_paterno(){
            return Apdo_Paterno;
    }
    
    public String getApe_materno(){
            return Apdo_Materno;
    }
    
    public String getID(){ //Retorna el ID del usuario, que es su RUT.
        return IDusuario;
    }
    
    public int getFono(){
        return telefono;
    }
    
    public String getfechaNacimiento(){
        return fechaNacimiento;
    } 
    
    public String getDireccion(){
        return direccion;
    }

    public String getCiudad(){ //Retorna el ID del usuario, que es su RUT.
        return ciudad;
    }
    
    public String getCarrera(){
        return carrera;
    }
    
    public String getPasatiempo(){
        return pasatiempos;
    } 
    
    public float getpesoInicial(){
        return pesoInicial;
    }
    
    public String getEntrenamiento(){
        return entrenamiento;
    }
    
    public float getIMC(){
        return IMC;
    } 
    
    public float getTalla(){
        return talla;
    }
   
    public boolean getFuma(){
        return fuma;
    }
    
    
//METODOS PARA EL RETORNO DE PARAMETROS. setXXX    
    
    public void setNombre(String nom){ //Retorna el nombre del usuario.
             Nombre = nom;
    }
    
    public void setApe_paterno(String app){
            Apdo_Paterno = app;
    }
    
    public void setApe_materno(String apm){
            Apdo_Materno = apm;
    }
    
    public void setID(String id){ //Retorna el ID del usuario, que es su RUT.
        IDusuario = id;
    }
    
    public void setFono(int fono){
        telefono = fono;
    }
    
    public void setFechanacimiento(String aņo, String mes, String dia){
        int i = 0;
        String Meses[] = {"Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"};
        
        while(Meses[i] != mes ) i++;
            i++;
        
        fechaNacimiento = aņo +"-" + i +"-"+ dia;
        
        i = 0;
    } 
    
    public void setDireccion(String dire){
        direccion = dire;
    }

    public void setCiudad(String city){ //Retorna el ID del usuario, que es su RUT.
        ciudad = city;
    }
    
    public void setCarrera(String carre){
        carrera = carre;
    }
    
    public void setPasatiempo(String pasa){
        pasatiempos = pasa;
    } 
    
    public void setpesoInicial(float peso){
        pesoInicial = peso;
    }
    
    public void getEntrenamiento(String entre){
        entrenamiento = entre;
    }
    
    public void setIMC(float iMC){
        IMC = iMC;
    } 
    
    public void setTalla(float Tall){
        talla = Tall;
    }
   
    public void getFuma(boolean fum){
        fuma = fum;
    }
    
    
    //Metodos para conectar a la base de tados, y introducir y tomar parametros.
    public void printf1(){
        System.out.println(IDusuario +" "+ Nombre +" "+ Apdo_Paterno + 
                                " "+ Apdo_Materno +" "+ direccion +" "+
                                            telefono +" "+ fechaNacimiento);
    }

}

